Subject: Re: [iwl-next v1 4/8] ice: control default Tx rule in lag

From: Simon Horman <[email-masked]>
Date: Fri, 2 Feb 2024 18:18:05 +0100

On Thu, Feb 01, 2024 at 08:05:06AM +0100, Michal Swiatkowski wrote:
> On Mon, Jan 29, 2024 at 10:55:41AM +0000, Simon Horman wrote:
> > On Thu, Jan 25, 2024 at 01:53:10PM +0100, Michal Swiatkowski wrote:
> > > Tx rule in switchdev was changed to use PF instead of additional control
> > > plane VSI. Because of that during lag we should control it. Control
> > > means to add and remove the default Tx rule during lag active/inactive
> > > switching.
> > > 
> > > It can be done the same way as default Rx rule.
> > 
> > Hi Michal,
> > 
> > Can I confirm that LAG TX/RX works both before and after this patch?
> > 
> 
> Hi Simon,
> 
> This part of LAG code is related to the LAG + switchdev feature (it
> isn't chaning LAG core code). Hope that normal LAG also works well. This
> is the scenario when you have PF in switchdev, bond created of two PFs
> connected to the bridge with representors. Switching between interfaces
> from bond needs to add default Rx rule, and after my changes also
> default Tx rule.
> 
> Do you think I should add this description to commit message?

Thanks Michal,

I think that might be a good idea.

But my question was a bit different: I'm asking if this patch addresses
a regression introduced earlier in the series. Sorry for not being clearer
the first time around.